CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(MinimumProtocol)

FIND_PACKAGE(MorphoRobotX REQUIRED)

SET(QT_DONT_USE_QTGUI TRUE)
find_package (Qt4 REQUIRED QtCore)

INCLUDE_DIRECTORIES(SYSTEM ${QT_INCLUDE_DIR} ${MorphoRobotX_INCLUDE_DIR})
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS})

ADD_LIBRARY(minprotocol SHARED MinimumProtocol.cpp)
target_link_libraries(minprotocol ${MorphoRobotX_LIBRARIES} ${QT_LIBRARIES})

INSTALL(TARGETS minprotocol LIBRARY DESTINATION ${MorphoRobotX_EXTENSION_DIR})

